# Class ServerInfo

java.lang.Object
org.apache.catalina.util.ServerInfo

public class ServerInfo extends Object
Simple utility module to make it easy to plug in the server identifier when integrating Tomcat.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServerInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `getServerBuilt()`
  `static String`
  `getServerBuiltISO()`
  `static String`
  `getServerInfo()`
  `static String`
  `getServerNumber()`
  `static void`
  `main(String[] args)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ServerInfo

    public ServerInfo()

- ## Method Details

  - ### getServerInfo

    public static String getServerInfo()
    Returns:
      the server identification for this version of Tomcat.

  - ### getServerBuilt

    public static String getServerBuilt()
    Returns:
      the server built time for this version of Tomcat.

  - ### getServerBuiltISO

    public static String getServerBuiltISO()
    Returns:
      the server built date for this version of Tomcat in ISO-8601 date format.

  - ### getServerNumber

    public static String getServerNumber()
    Returns:
      the server's version number.

  - ### main

    public static void main(String[] args)